#include <stdio.h>
#include <stdlib.h>
#include <sys/types.h>
#include <sys/socket.h>
#include <netinet/in.h>
#include <netdb.h>

#define BUFSIZE 1024
#define SERVER_PORT 4610

void func(int sockfd) 
{ 
    char buff[BUFSIZE]; 
    int n; 
    for (;;) { 
        bzero(buff, sizeof(buff)); 
        printf("Enter the string : "); 
        n = 0; 
        while ((buff[n++] = getchar()) != '\n') 
            ; 
        write(sockfd, buff, sizeof(buff)); 
        bzero(buff, sizeof(buff)); 
        read(sockfd, buff, sizeof(buff)); 
        printf("From Server : %s", buff); 
        if ((strncmp(buff, "exit", 4)) == 0) { 
            printf("Client Exit...\n"); 
            break; 
        } 
    }
    return;
} 

main( int argc, char **argv )
{
	printf("hello from client\n");
	int sd;                  /* Socket descriptor */
	struct sockaddr_in server;    /* Server to connect */
	struct hostent *server_host;  /* Host info */
	char buf[BUFSIZE];
	int nbytes;

	/* Create socket */
	sd=socket(AF_INET, SOCK_STREAM, 0);
	if ( sd == -1 ) {
		fprintf(stderr, "%s: cannot create socket: ", argv[0]);perror(0);
		exit(1);
	}else
        printf("Socket successfully created..\n"); 

    bzero(&server, sizeof(server)); 

	/* Set up struct sockaddr_in */
	server.sin_family = AF_INET;
	server.sin_addr.s_addr = inet_addr("127.0.0.1");
	server.sin_port   = htons(SERVER_PORT);

	/* Connect */
	if ( connect(sd, &server, sizeof(server)) < 0 ) {
		fprintf(stderr, "%s: cannot connect to server: ", argv[0]);
		perror(0);
		exit(1);
	}

	 // function for chat 
    func(sd); 
  
    // close the socket 
    close(sd); 
}